chore: restructure the project, make it not use the astal application stuff

now it's more organized and I have more control over the shell behaviour
This commit is contained in:
retrozinndev
2025-08-06 15:25:21 -03:00
parent 5a6d5b47c6
commit d549ad9596
191 changed files with 529 additions and 1000 deletions
+13
View File
@@ -0,0 +1,13 @@
general {
# lock_cmd = echo "Locked Hyprland Session"
unlock_cmd = notify-send "Welcome back to Hyprland, $USER!"
ignore_dbus_inhibit = false
ignore_systemd_inhibit = false
}
listener {
timeout = 3600 # 1800 -> 30m | 3600 -> 1h | 7200 -> 2h
on-timeout = hyprlock
# on-resume = notify-send "Welcome back to Hyprland, $USER!"
}
+15
View File
@@ -0,0 +1,15 @@
###############################
## Retrozinn's Hyprland Dots ##
###############################
# From https://github.com/retrozinndev/Hyprland-Dots
# Made with lots of love 󰋑 , by retrozinndev
# Licensed under the MIT License
# Shell configurations (it's not recommended to modify)
source = ./shell/hyprland.conf
# User configurations (please use the `user/` config directory
source = ./user/hyprland.conf
+144
View File
@@ -0,0 +1,144 @@
# Source colors from pywal
source = ~/.cache/wal/colors-hyprland.conf
##############
# LOCKSCREEN #
##############
# Wiki: https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock
# Fonts
$font = Cantarell Regular
$clockFont = Cantarell Black
$minimalFont = Noto Sans Mono
general {
disable_loading_bar = true
hide_cursor = false
text_trim = false
fractional_scaling = 2
}
auth {
pam {
enabled = true
}
fingerprint {
enabled = false
ready_message = Waiting for Fingerprint
present_message = Scanning
}
}
background {
monitor =
path = $wallpaper
blur_passes = 3
color = $background
}
# Time
label {
monitor =
text = cmd[update:30000] echo -e "$(date +"%R")" # 24-hours
# text = cmd[update:30000] echo -e "$(date +"%I:%M %p")" # 12-hours (AM/PM)
color = $foreground
shadow_passes = 1
shadow_size = 2
shadow_color = $background
shadow_boost = 0.4
font_size = 120
font_family = $clockFont
position = 0, -60
halign = center
valign = top
}
# Date
label {
monitor =
text = cmd[update:43200000] echo -e "$(date +"%A, %d %B %Y")"
color = $foreground
shadow_passes = 1
shadow_size = 2
shadow_color = $background
shadow_boost = 0.4
font_size = 20
font_family = $font
position = 0, -250
halign = center
valign = top
}
# Logged user
label {
monitor =
font_size = 6
font_family = $minimalFont
color = $foreground
text = Currently logged in as $USER
halign = center
valign = bottom
position = 0, 5
}
Media
label {
monitor =
font_size = 12
font_family = Cantarell
color = $foreground
text = cmd[update:1000] bash -c 'playerctl metadata && echo -e "󰎇 $(playerctl metadata title) - $(playerctl metadata artist)"' | tail -n 1
shadow_passes = 1
shadow_size = 2
shadow_color = $background
shadow_boost = 0.4
halign = center
valign = center
position = 0, 180
}
# Avatar
image {
monitor =
path = ~/.face
size = 72
border_color = $color2
border_size = 2
position = 0, 100
halign = center
valign = bottom
shadow_passes = 1
shadow_size = 2
shadow_color = $background
shadow_boost = 0.4
}
# Input (password)
input-field {
monitor =
size = 180, 35
outline_thickness = 2
dots_size = .15
dots_spacing = .6
dots_center = true
outer_color = $background
inner_color = $color3
font_color = $foreground
fade_on_empty = false
placeholder_text =
hide_input = false
check_color = $color4
fail_color = $color1
fail_text = <i>$FAIL <b>($ATTEMPTS)</b></i>
capslock_color = $color1
position = 0, 40
halign = center
valign = bottom
shadow_passes = 1
shadow_size = 2
shadow_color = $background
shadow_boost = 0.2
}
@@ -0,0 +1,75 @@
#!usr/bin/env bash
# Prompts the user with dmenu(or dmenu-like app, see hypr/scripts/get-dmenu.sh)
# to choose an image file inside defined $WALLPAPERS_DIR. If the user selects
# an entry, it automatically writes changes to the hyprpaper.conf file and
# hot-reloads if hyprpaper is running.
# --------------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From https://github.com/retrozinndev/colorshell
style="lighten" # lighten / darken
dmenu=$(sh "$XDG_CONFIG_HOME/hypr/scripts/get-dmenu.sh")
if [[ -z "$WALLPAPERS_DIR" ]]; then
WALLPAPERS_DIR="$HOME/wallpapers"
fi
function Write_changes() {
echo "[LOG] Writing to hyprpaper config file"
echo \
'$wallpaper'" = $wall
splash = true
preload = "'$wallpaper'"
wallpaper = , "'$wallpaper'"" | sed -e "s/^(\\[n])//g" > $XDG_CONFIG_HOME/hypr/hyprpaper.conf
}
function Reload_wallpaper() {
echo "[LOG] Hot-reloading wallpaper"
hyprctl hyprpaper unload all
hyprctl hyprpaper preload $wall
hyprctl hyprpaper wallpaper ", $wall"
}
function Reload_pywal() {
echo "[LOG] Reloading pywal colorscheme"
wal -t --cols16 $style -i "$wall"
}
if [[ -z "$dmenu" ]]; then
notify-send -u normal -a "Wallpaper" "Dmenu not found" "Couldn't find anyrun or wofi for dmenu! Try installing one of these two before selecting wallpaper!"
exit 1
fi
if [[ -z $(ls -A $WALLPAPERS_DIR) ]]; then
notify-send -u normal -a "Wallpaper" "Wallpapers not found" "Couldn't find any wallpaper inside \`~/wallpapers\`, try putting an image you like in there to choose it!"
exit 1
fi
if [[ -z $1 ]]; then
# Prompt wallpaper list
wall="$WALLPAPERS_DIR/$(ls $WALLPAPERS_DIR | $dmenu)"
# Check if input wallpaper is empty
if [[ $wall == "$WALLPAPERS_DIR/" ]]; then
echo "No wallpaper has been selected by user!"
if [[ $RANDOM_WALLPAPER_WHEN_EMPTY == true ]]; then
wall="$WALLPAPERS_DIR/$(ls $WALLPAPERS_DIR | shuf -n 1)"
echo "Selected random from $WALLPAPERS_DIR: $wall"
else
echo "Skipping hyprpaper changes and exiting."
exit 0
fi
fi
else
wall=$1
fi
Reload_pywal
Reload_wallpaper
Write_changes
exit 0
@@ -0,0 +1,7 @@
#!/usr/bin/env bash
selection=$(cliphist list | anyrun --plugins libstdin.so | cliphist decode)
if [[ ! -z "$selection" ]]; then
printf "%s" "$selection" | sed -e 's/\\[n]$//g' | wl-copy
fi
@@ -0,0 +1,18 @@
#!/usr/bin/env bash
function send_notification() {
notify-send -u normal -a "color-picker" "$1" "$2"
}
# Check if hyprpicker is installed
if ! command -v hyprpicker > /dev/null; then
send_notification "An error occurred" "Looks like you don't have hyprpicker installed! Try installing it before using the Color Picker tool."
exit 1
fi
raw_output=`hyprpicker -al 2> /dev/null`
selected_color=`echo $raw_output | xargs | sed -e 's/ //g'`
if ! [[ -z $selected_color ]]; then
send_notification "Selected Color" "The selected color is <span foreground='$selected_color'>$selected_color</span>, it was also copied to your clipboard!"
fi
+16
View File
@@ -0,0 +1,16 @@
#!/usr/bin/env bash
# This script executes the provided program with UWSM
# if in usage or launches it normally with hyprctl.
# ---------------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From: https://github.com/retrozinndev/colorshell
if uwsm check is-active; then
exec uwsm app -- "$@"
exit 0
fi
exec "$@"
+21
View File
@@ -0,0 +1,21 @@
#!/usr/bin/env bash
# This script loads/generate color schemes from current
# wallpaper using pywal16.
# ----------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From https://github.com/retrozinndev/colorshell
if ! [[ -f "$HOME/.config/hypr/hyprpaper.conf" ]]; then
notify-send -a "Wallpaper" "Couldn't load" "Wallpaper file not found! Please check for the wallpaper: $wallpaper."
exit 1
fi
wallpaper="$(cat $HOME'/.config/hypr/hyprpaper.conf' | grep '$wallpaper =' | sed -e 's/^$wallpaper = //')"
if [[ -d "$HOME/.cache/wal" ]]; then
wal -R
else
wal -q -t --cols16 darken -i "$wallpaper"
fi
+26
View File
@@ -0,0 +1,26 @@
#!/usr/bin/env bash
# Checks environment for dmenu or dmenu-like apps
# and prints out a command to pipe of.
# -----------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From: https://github.com/retrozinndev/colorshell
DMENUS=(
"anyrun:--plugins:libstdin.so"
"rofi:-dmenu"
"wofi:--show:dmenu"
"dmenu"
)
for dmenu in ${DMENUS[@]}; do
name=$(printf "$dmenu" | awk -F: '{ print $1 }')
cmd=$(env "$name" -h > /dev/null)
code=$?
if [[ ! $code == 127 ]]; then
echo "$dmenu" | sed 's/:/ /g'
break;
fi
done
@@ -0,0 +1,34 @@
#!/usr/bin/env bash
# This script loads hyprsunset settings previously
# saved by the save-hyprsunset.sh script on shutdown.
# --------------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From https://github.com/retrozinndev/colorshell
[[ -z $XDG_CONFIG_HOME ]] && XDG_CONFIG_HOME="$HOME/.config"
file_="$XDG_CONFIG_HOME/hypr/hyprsunset.conf"
if ! [[ -f "$file_" ]]; then
echo "[warn] Couldn't load hyprsunset config: file not found"
exit 0
fi
if ! [[ "$XDG_CURRENT_DESKTOP" =~ "Hyprland" ]]; then
echo "[error] Seems like you're not running Hyprland! Exiting"
exit 1
fi
if [[ -z $(command -v hyprsunset) ]]; then
echo "[error] Couldn't load hyprsunset settings: it's either not installed or not in PATH"
exit 1
fi
temperature=$(cat "$file_" | grep -E "^temperature = (.*)" | awk -F= '{ print $2 }')> /dev/null
gamma=$(cat "$file_" | grep -E "^gamma = (.*)" | awk -F= '{ print $2 }')> /dev/null
hyprctl hyprsunset temperature $temperature
sleep .05
hyprctl hyprsunset gamma $gamma
@@ -0,0 +1,29 @@
#!/usr/bin/env bash
# This script saves hyprsunset values into a file using
# hyprlang, in `$XDG_CONFIG_HOME/hypr/hyprsunset.conf`.
# It is used to save last user configuration on computer
# shutdown.
# --------------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From https://github.com/retrozinndev/colorshell
[[ -z $XDG_CONFIG_HOME ]] && XDG_CONFIG_HOME="$HOME/.config"
if ! [[ "$XDG_CURRENT_DESKTOP" =~ "Hyprland" ]]; then
echo "[error] Seems like you're not running Hyprland! Exiting"
exit 1
fi
if [[ -z $(command -v hyprsunset) ]]; then
echo "[error] Couldn't save hyprsunset settings: it's either not installed or not in PATH"
exit 1
fi
output="$XDG_CONFIG_HOME/hypr/hyprsunset.conf"
temperature=$(hyprctl hyprsunset temperature || 6000)
gamma=$(hyprctl hyprsunset gamma || 100)
printf "temperature = %d\ngamma = %d" "$temperature" "$gamma" > $output
+24
View File
@@ -0,0 +1,24 @@
#!/usr/bin/env bash
# This script handles taking a screenshot using the
# hyprshot tool.
# --------------
# Licensed under the MIT License
# Made by retrozinndev (João Dias)
# From https://github.com/retrozinndev/colorshell
# exit slurp and quit if slurp(region selection) is running
killall slurp && exit 0
if [[ -z $(command -v hyprshot) ]]; then
echo "[err] you don't have hyprshot installed, please install it first"
exit 1
fi
if [[ "$1" == "full" ]]; then
hyprshot -m active -m output -o "$(xdg-user-dir PICTURES)/Screenshots"
exit 0
fi
hyprshot -m region -o "$(xdg-user-dir PICTURES)/Screenshots"
+21
View File
@@ -0,0 +1,21 @@
# color-shell configuration, please don't modify unless you know what you're doing!
# Daemons
# exec-once = /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 # GNOME PolKit
exec-once = systemctl enable --user --now hyprpolkitagent # Hyprland's PolKit
exec-once = systemctl enable --user --now hypridle
exec-once = systemctl enable --user --now gnome-keyring-daemon
exec-once = $exec wl-paste --type text --watch cliphist store
exec-once = $exec wl-paste --type image --watch cliphist store
# Tools
exec-once = systemctl enable --user --now hyprsunset
exec-once = systemctl enable --user --now hyprpaper
# Scripts
exec-once = sh $XDG_CONFIG_HOME/hypr/scripts/gen-pywal.sh
exec-once = sleep 3 && sh $XDG_CONFIG_HOME/hypr/scripts/load-hyprsunset.sh # wait some time to actually set the filters
# Shell
exec-once = $exec ags run
+99
View File
@@ -0,0 +1,99 @@
# color-shell specific configuration, please don't modify unless you know what you're doing!
# `astal` and some `*ctl` commands don't need $exec (uwsm), since they're just process communication tools
bind = $mainMod, SPACE, exec, $menu
bind = $mainMod, F11, fullscreen
bind = , Print, exec, $exec sh $XDG_CONFIG_HOME/hypr/scripts/screenshot.sh
bind = $mainMod, Print, exec, $exec sh $XDG_CONFIG_HOME/hypr/scripts/screenshot.sh full
# restarts colorshell
bind = $mainMod, F7, exec, astal reload || $exec ags run
bind = $mainMod, K, exec, $exec $terminal
bind = $mainMod, Q, killactive
bind = $mainMod, E, exec, $exec $fm
bind = $mainMod, F, togglefloating
bind = $mainMod, P, pseudo,
bind = $mainMod, J, togglesplit
bind = $mainMod, N, exec, astal toggle control-center
bind = $mainMod, M, exec, astal toggle center-window
bind = $mainMod, L, exec, $exec hyprlock
bind = $mainMod, V, exec, astal runner '>' || $exec sh $XDG_CONFIG_HOME/hypr/scripts/clipboard-menu.sh
bind = $mainMod, W, exec, astal runner '\##'
# bind = $mainMod, $mainMod_L, exec, astal toggle apps-window
bind = $mainMod, $mainMod_l, exec, astal peek-workspace-num
binde = , XF86AudioLowerVolume, exec, astal volume sink-decrease 5 || wpctl set-volume @DEFAULT_AUDIO_SINK@ 5%- # Decrease volume
binde = , XF86AudioRaiseVolume, exec, astal volume sink-increase 5 || wpctl set-volume @DEFAULT_AUDIO_SINK@ 5%+ # Increase volume
bind = , XF86AudioMute, exec, astal volume sink-mute || wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle # Mute
bind = , XF86AudioPrev, exec, astal media previous || playerctl previous # Previous media
bind = , XF86AudioNext, exec, astal media next || playerctl next # Next media
bind = , XF86AudioPlay, exec, astal media play-pause || playerctl play-pause # Toggle Play/Pause media
bind = , XF86MonBrightnessDown, exec, brightnessctl s 5%- # Lower monitor brightness
bind = , XF86MonBrightnessUp, exec, brightnessctl s +5% # Increase monitor brightness
# Move focus with mainMod + arrow keys
bind = $mainMod, left, movefocus, l
bind = $mainMod, right, movefocus, r
bind = $mainMod, up, movefocus, u
bind = $mainMod, down, movefocus, d
# Move windows with keyboard keys
bind = $mainMod SHIFT, left, movewindow, l
bind = $mainMod SHIFT, right, movewindow, r
bind = $mainMod SHIFT, up, movewindow, u
bind = $mainMod SHIFT, down, movewindow, d
bind = $mainMod SHIFT, C, centerwindow
# Resize windows with arrow keys / hjkl
binde = $mainMod ALT, left, resizeactive, -60 0
binde = $mainMod ALT, down, resizeactive, 0 60
binde = $mainMod ALT, up, resizeactive, 0 -60
binde = $mainMod ALT, right, resizeactive, 60 0
binde = $mainMod ALT, H, resizeactive, -60 0
binde = $mainMod ALT, J, resizeactive, 0 60
binde = $mainMod ALT, K, resizeactive, 0 -60
binde = $mainMod ALT, L, resizeactive, 60 0
# Switch workspaces with mainMod + [0-9]
bind = $mainMod, 1, workspace, 1
bind = $mainMod, 2, workspace, 2
bind = $mainMod, 3, workspace, 3
bind = $mainMod, 4, workspace, 4
bind = $mainMod, 5, workspace, 5
bind = $mainMod, 6, workspace, 6
bind = $mainMod, 7, workspace, 7
bind = $mainMod, 8, workspace, 8
bind = $mainMod, 9, workspace, 9
bind = $mainMod, 0, workspace, 10
# Move active window to a workspace with mainMod + SHIFT + [0-9]
bind = $mainMod SHIFT, 1, movetoworkspace, 1
bind = $mainMod SHIFT, 2, movetoworkspace, 2
bind = $mainMod SHIFT, 3, movetoworkspace, 3
bind = $mainMod SHIFT, 4, movetoworkspace, 4
bind = $mainMod SHIFT, 5, movetoworkspace, 5
bind = $mainMod SHIFT, 6, movetoworkspace, 6
bind = $mainMod SHIFT, 7, movetoworkspace, 7
bind = $mainMod SHIFT, 8, movetoworkspace, 8
bind = $mainMod SHIFT, 9, movetoworkspace, 9
bind = $mainMod SHIFT, 0, movetoworkspace, 10
bind = CTRL $mainMod, right, workspace, e+1
bind = CTRL $mainMod, left, workspace, e-1
bind = $mainMod, S, togglespecialworkspace, special
bind = $mainMod SHIFT, S, movetoworkspace, special:special
# Move/resize windows with mainMod + LMB/RMB and dragging
bindm = $mainMod, mouse:272, movewindow
bindm = $mainMod, mouse:273, resizewindow
+88
View File
@@ -0,0 +1,88 @@
# color-shell configuration, please don't modify unless you know what you're doing!
source = ~/.cache/wal/colors-hyprland.conf
general {
gaps_in = 6
gaps_out = 12
border_size = 2
col.active_border = $color1
col.inactive_border = $background
resize_on_border = false
allow_tearing = false
layout = dwindle
}
render {
ctm_animation = true
}
misc {
animate_manual_resizes = true
}
decoration {
rounding = 16
# Active Window Opacity
active_opacity = 1.0
# Inactive Window Opacity
inactive_opacity = 0.95
shadow {
enabled = true
range = 5
render_power = 8
color = $background
}
blur {
enabled = true
new_optimizations = true
xray = false # Setting to true may cause glitches on nvidia cards!
size = 14
passes = 4
vibrancy = 12
popups = false # Enable blur for popups
popups_ignorealpha = 0.7
}
}
animations {
enabled = true
# Beziers (I need better names)
bezier = myBezier, 0.05, 0.9, 0.1, 1.05
bezier = amazingBezier, 0.25, 0.59, 0.1, 1.05
bezier = popinBezier, 0.5, .1, .05, 1.0
bezier = layerBezier, 0.5, .1, .05, 1.0
bezier = workspaceBezier, 0.16, 0.20, 0, 1
# Windows
animation = windowsIn, 1, 6, myBezier, slide
animation = windowsOut, 1, 5, amazingBezier, slide
animation = windowsMove, 1, 4.5, myBezier
# Layers
animation = layersIn, 1, 6, layerBezier, slide
animation = layersOut, 1, 6, layerBezier, slide
# Workspaces
animation = workspaces, 1, 3.5, workspaceBezier, slidefade 16%
animation = specialWorkspace, 1, 3.5, myBezier, slidefadevert 10%
# Fade
animation = fade, 1, 4, myBezier
animation = fadeLayersIn, 1, 4, layerBezier
animation = fadeLayersOut, 1, 3, layerBezier
# Others
animation = border, 1, 5.5, amazingBezier
animation = borderangle, 1, 8, default
}
+29
View File
@@ -0,0 +1,29 @@
# color-shell configuration, please don't modify unless you know what you're doing!
# XDG Vars
env = XDG_CONFIG_HOME, $HOME/.config
env = XDG_CACHE_HOME, $HOME/.cache
env = XDG_DATA_HOME, $HOME/.local/share
env = XDG_STATE_HOME, $HOME/.local/state
env = XDG_CURRENT_DESKTOP, Hyprland
env = XDG_SESSION_TYPE, wayland
# Cursor
env = XCURSOR_THEME, Adwaita
env = XCURSOR_SIZE, 24
env = HYPRCURSOR_THEME, Adwaita
env = HYPRCURSOR_SIZE, 24
# Wayland stuff
env = MOZ_ENABLE_WAYLAND, 1
env = ELECTRON_OZONE_PLATFORM_HINT, auto
# QT
env = QT_QPA_PLATFORM, wayland
env = QT_QPA_PLATFORMTHEME, qt5ct
env = QT_AUTO_SCREEN_SCALE_FACTOR, 1
# Others
env = ADW_DISABLE_PORTAL, 1 # Fixes prefer-dark setting in some gtk flatpak apps
env = WALLPAPERS, $HOME/wallpapers
+10
View File
@@ -0,0 +1,10 @@
# color-shell configuration, please don't modify unless you know what you're doing!
source = ./variables.conf
source = ./environment.conf
source = ./bindings.conf
source = ./decorations.conf
source = ./autostart.conf
source = ./rules.conf
source = ./layout.conf
+8
View File
@@ -0,0 +1,8 @@
# color-shell configuration, please don't modify unless you know what you're doing!
dwindle {
pseudotile = false
preserve_split = true
smart_resizing = true
}
+69
View File
@@ -0,0 +1,69 @@
# color-shell configuration, please don't modify unless you know what you're doing!
# Float
windowrule = float, class:nm-connection-editor
windowrule = float, class:org.pulseaudio.pavucontrol
windowrule = float, class:xdg-desktop-portal.*
windowrule = float, class:io.github.kaii_lb.Overskride
# Resize
windowrule = size 50% 50%, class:org.pulseaudio.pavucontrol
windowrule = size 50% 50%, class:io.github.kaii_lb.Overskride
windowrule = size 68% 65%, class:xdg-desktop-portal.*
# Position
windowrule = move 49.27% 7.28%, class:org.pulseaudio.pavucontrol
windowrule = move 49.27% 7.28%, class:io.github.kaii_lb.Overskride
# Workspace
windowrule = movetoworkspace e, class:org.pulseaudio.pavucontrol
# Animations
windowrule = animation gnomed, class:hyprpolkitagent
windowrule = animation slide right, class:org.pulseaudio.pavucontrol
windowrule = animation slide right, class:io.github.kaii_lb.Overskride
windowrule = animation gnomed, class:xdg-desktop-portal.*
windowrule = animation gnomed, class:hyprsysteminfo
layerrule = animation fade, selection
layerrule = animation fade, hyprpicker
layerrule = animation fade, hyprpaper
layerrule = animation fade, control-center
layerrule = animation fade, center-window
layerrule = animation fade, logout-menu
layerrule = animation slide bottom, apps-window
layerrule = animation slide right, floating-notifications
layerrule = animation fade, runner
layerrule = animation fade, background-window
layerrule = animation fade, background-window-blur
layerrule = animation fade, .*-popup
# Blur
windowrule = noblur, class:^()$, title:^()$ # fixes chromium/electron context menus
windowrule = noblur, class:org.kde.kdeconnect.daemon
layerrule = blur, top-bar
layerrule = blur, osd
layerrule = blur, control-center
layerrule = blur, center-window
layerrule = blur, logout-menu
layerrule = blur, runner
layerrule = blur, ask-popup
layerrule = blur, entry-popup
layerrule = blur, floating-notifications
layerrule = blur, apps-window
layerrule = ignorealpha .7, runner
layerrule = ignorealpha .4, osd
layerrule = ignorealpha .55, top-bar
layerrule = ignorealpha .6, ask-popup
layerrule = ignorealpha .6, entry-popup
layerrule = ignorealpha .7, control-center
layerrule = ignorealpha .5, apps-window
layerrule = ignorealpha .7, center-window
layerrule = ignorealpha .7, floating-notifications
+15
View File
@@ -0,0 +1,15 @@
# color-shell configuration, please don't modify unless you know what you're doing!
###############
## VARIABLES ##
###############
# Wiki: https://wiki.hyprland.org/Hypr-Ecosystem/hyprlang#defining-variables
# Use this variable to execute apps dinamically (runs with uwsm if being used by compositor)
$exec = sh $XDG_CONFIG_HOME/hypr/scripts/exec.sh
$mainMod = SUPER
$terminal = kitty
$fm = nautilus
$menu = astal runner